Page MenuHomePhabricator

[X86][Asm]Allow far jmp/call to be picked when using explicit FWORD size specifier
ClosedPublic

Authored by coby on Jul 25 2017, 10:15 AM.

Details

Summary

Currently, far jmp/call which utilizes a 48bit memory operand would have been invoked via the 'lcall/ljmp' mnemonic (intel style).
This patch align those variants to formal intel spec

Diff Detail

Repository
rL LLVM

Event Timeline

coby created this revision.Jul 25 2017, 10:15 AM
craig.topper edited edge metadata.Aug 1 2017, 9:02 AM

Is this consistent with GNU assembler behavior? Or does GNU assembler accept both versions?

coby added a comment.EditedAug 7 2017, 5:36 AM

Is this consistent with GNU assembler behavior? Or does GNU assembler accept both versions?

Both, as do we, via this change

RKSimon edited edge metadata.Aug 7 2017, 6:29 AM
In D35846#833693, @coby wrote:

Is this consistent with GNU assembler behavior? Or does GNU assembler accept both versions?

Both, as do we, via this change

So should we test for it as well as the intel syntax?

coby updated this revision to Diff 109991.Aug 7 2017, 7:35 AM

So should we test for it as well as the intel syntax?

Added some missing tests (intel & gnu)

I'm happy with this if @RKSimon is happy.

RKSimon accepted this revision.Aug 7 2017, 8:36 AM

LGTM

This revision is now accepted and ready to land.Aug 7 2017, 8:36 AM
This revision was automatically updated to reflect the committed changes.